#!/bin/bash
# 2023 F4IYT

PATHBIN="longmynd"
PATHOSBIN="/usr/bin/"
#echo "1=$1 2=$2 3=$3 4=$4"
#exit 0

if [ -z "$1" ]
then
  ip="127.0.0.1"
else
  ip=$1
fi

if [ -z "$2" ]
then
  port="1234"
else
  port=$2
fi

if [ -z "$3" ]
then
  freq=$((10491500-9750000))
else
  freq=$(($3-9750000))
fi

if [ -z "$4" ]
then
  symb=1500
else
  symb=$4
fi


pkexec $PATHBIN/stopsrv.sh

mkfifo fifo.264
mkfifo longmynd_main_ts
mkfifo longmynd_main_status

$PATHBIN/fake_read &

# Version to display via UDP on a remote machine
$PATHBIN/longmynd -i $ip $port $freq $symb &

